%define upstream_name    WWW-Mechanize-Shell
%define upstream_version 0.59

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    An interactive shell for WWW::Mechanize
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTML::Display)
BuildRequires: perl(HTML::TokeParser::Simple) >= 2.0.0
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(Hook::LexWrap) >= 0.200.0
BuildRequires: perl(LWP) >= 5.690.0
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Term::Shell) >= 0.20.0
BuildRequires: perl(Test::HTTP::LocalServer) >= 0.680.0
BuildRequires: perl(Test::Harness) >= 2.300.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Without::Module)
BuildRequires: perl(URI)
BuildRequires: perl(URI::URL)
BuildRequires: perl(WWW::Mechanize) >= 1.200.0
BuildRequires: perl(WWW::Mechanize::FormFiller) >= 0.50.0
BuildRequires: perl(WWW::Mechanize::Link) >= 1.200.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
This module implements a www-like shell above WWW::Mechanize
and also has the capability to output crude Perl code that recreates
the recorded session. Its main use is as an interactive starting point
for automating a session through WWW::Mechanize.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# pod2test is gone in perl-Test-Inline
perl -pi -e "s|pod2test|/bin/true|g" Makefile.PL

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

# make test don't work...
#make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/WWW/Mechanize/Shell.pm
%{_mandir}/*/*

%changelog
* Tue Mar 29 2022 umeabot <umeabot> 0.590.0-2.mga9
+ Revision: 1831071
- Mageia 9 Mass Rebuild

* Wed May 06 2020 tv <tv> 0.590.0-1.mga8
+ Revision: 1580828
- update to 0.59

* Sun Feb 16 2020 umeabot <umeabot> 0.580.0-2.mga8
+ Revision: 1534268
- Mageia 8 Mass Rebuild

* Tue Oct 01 2019 tv <tv> 0.580.0-1.mga8
+ Revision: 1448675
- update to 0.58

* Thu Sep 20 2018 umeabot <umeabot> 0.570.0-2.mga7
+ Revision: 1287277
- Mageia 7 Mass Rebuild

* Wed Jul 04 2018 shlomif <shlomif> 0.570.0-1.mga7
+ Revision: 1241656
- update to 0.57

* Tue Oct 03 2017 tv <tv> 0.560.0-2.mga7
+ Revision: 1167367
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 0.560.0-1.mga7
+ Revision: 1157338
- new version 0.56

* Sun Jun 19 2016 pterjan <pterjan> 0.550.0-3.mga6
+ Revision: 1035759
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.550.0-2.mga6
+ Revision: 967728
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.550.0-1.mga6
+ Revision: 850141
- update to 0.55

* Sun Oct 19 2014 umeabot <umeabot> 0.530.0-5.mga5
+ Revision: 789219
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.530.0-4.mga5
+ Revision: 750632
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.530.0-3.mga5
+ Revision: 686846
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.530.0-2.mga4
+ Revision: 531917
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 0.530.0-1.mga4
+ Revision: 465759
- update to 0.53

* Sun Jan 13 2013 umeabot <umeabot> 0.520.0-2.mga3
+ Revision: 374737
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 jquelin <jquelin> 0.520.0-1.mga1
+ Revision: 42083
- mageia rebuild
- imported package perl-WWW-Mechanize-Shell


* Fri Jan 07 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.520.0-1mdv2011.0
+ Revision: 629502
- update to new version 0.52

* Mon Aug 23 2010 Jérôme Quelin <jquelin@mandriva.org> 0.500.0-1mdv2011.0
+ Revision: 572243
- update to 0.50

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.480.0-1mdv2010.0
+ Revision: 408100
- rebuild using %%perl_convert_version

* Mon Nov 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.48-1mdv2009.1
+ Revision: 301685
- update to new version 0.48

* Mon Nov 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.47-1mdv2009.1
+ Revision: 299406
- update to new version 0.47

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.46-5mdv2009.0
+ Revision: 258792
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.46-4mdv2009.0
+ Revision: 246714
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 0.46-2mdv2008.1
+ Revision: 109345
- rebuild

* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.46-1mdv2008.1
+ Revision: 105434
- new version

* Mon Jul 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.44-1mdv2008.0
+ Revision: 52528
- update to new version 0.44

* Mon Jul 02 2007 Olivier Thauvin <nanardon@mandriva.org> 0.43-1mdv2008.0
+ Revision: 46894
- 0.43

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 0.42-1mdv2008.0
+ Revision: 20748
- 0.42


* Sun Dec 24 2006 Olivier Thauvin <nanardon@mandriva.org> 0.39-1mdv2007.0
+ Revision: 101958
- 0.39
- Import perl-WWW-Mechanize-Shell

* Sat Apr 29 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.36-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL
- use mkrel

* Thu Jul 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.36-1mdk
- 0.36

* Sat Jul 16 2005 Oden Eriksson <oeriksson@mandriva.com> 0.34-1mdk
- initial Mandriva package

